﻿using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public class ClassRoom
    {
        public int ClassRoomId { get; set; }

        [Required]
        [MaxLength(3)]
        public string ClassName { get; set; }

        public ICollection<Child> Children { get; set; }

        [Required]
        public Teacher Teacher { get; set; }
    }
}
