﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public interface IDigiKidsRepository
    {
        IQueryable<ZipCode> ZipCodes { get; }
        IQueryable<Child> Children { get; }
        IQueryable<ClassRoom> ClassRooms { get; }
        IQueryable<Parent> Parents { get; }
        IQueryable<Teacher> Teachers { get; }
        IQueryable<DayCare> DayCares { get; }
        IQueryable<DayCareType> DayCareTypes { get; }

        void CreateParent(Parent parent);
        void SaveParent(Parent parent);
    }
}
