﻿using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public class Item
    {

        [BindNever]
        public int ItemId { get; set; }

        [Required]
        public string Subject { get; set; }

        [Required]
        public string Content { get; set; }

        [Required]
        public DateTime ChangedTime { get; set; }

        [Required]
        public User MessageSender { get; set; }

    }
}
