﻿using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public class Login
    {
        [BindNever]
        public int LoginId { get; set; }

        [Required(ErrorMessage = "Gelieve een gebruikersnaam in te geven")]
        public string UserName { get; set; }

        [Required(ErrorMessage = "Gelieve een wachtwoord in te geven")]
        public string Password { get; set; }
    }
}
