﻿using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public class Message
    {

        [BindNever]
        public int MessageId { get; set; }

        [Required]
        public User User { get; set; }

        [Required]
        public DateTime Time { get; set; }

        [Required]
        public string Text { get; set; }

        [BindNever]
        public ICollection<Message> Messages { get; set; }

    }
}
