﻿using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DigiKidsStandAlone.Models
{
    public class Reservation
    {

        [BindNever]
        public int ReservationId { get; set; }

        [Required]
        public User User { get; set; }

        [BindNever]
        public ICollection<OrderLine> OrderLines { get; set; }

        [Required]
        public DateTime Arrival { get; set; }

    }
}
