﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace DigiKidsStandAlone.Models.ViewModels
{
    public class RegisterViewModel
    {
        [Required]
        public string UserName { get; set; }
        [Required]
        public string Name { get; set; }
        [Required]
        public string FirstName { get; set; }
        [Required]
        public int Zip { get; set; }
        [Required]
        public string Address { get; set; }
        [Required]
        public string Telephone { get; set; }
        [Required]
        public string Email1 { get; set; }
        [Required]
        public string Email2 { get; set; }
        [Required]
        public string Password1 { get; set; }
        [Required]
        public string Password2 { get; set; }
        public SelectList ZipCodes { get; set; }
    }
}
